Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`sasl_mechanisms`.`ISASLMechanism``

interface documentation

`class ISASLMechanism(Interface): (source)`

Known implementations: `twisted.words.protocols.jabber.sasl_mechanisms.Anonymous`, `twisted.words.protocols.jabber.sasl_mechanisms.DigestMD5`, `twisted.words.protocols.jabber.sasl_mechanisms.Plain`

View In Hierarchy

Undocumented

Method | `getInitialResponse` | Get the initial client response, if defined for this mechanism.
Method | `getResponse` | Get the response to a server challenge.
Attribute | `name` | Common name for the SASL Mechanism.

def getInitialResponse(): (source)

Get the initial client response, if defined for this mechanism.

Returns
`str`. | initial client response string.

def getResponse(challenge): (source)

Get the response to a server challenge.

Parameters
challenge:`str`. | server challenge.

Returns
`str`. | client response.

name = (source)

Common name for the SASL Mechanism.